## CamelGpgContext CamelGpgContext |

## Functions

CamelCipherContext * | camel_gpg_context_new ()
gboolean | camel_gpg_context_get_always_trust ()
void | camel_gpg_context_set_always_trust ()
gboolean | camel_gpg_context_get_prefer_inline ()
void | camel_gpg_context_set_prefer_inline ()

## Properties

gboolean | always-trust | Read / Write / Construct
gboolean | prefer-inline | Read / Write / Construct

## Object Hierarchy

        GObject
        ╰── CamelCipherContext
            ╰── CamelGpgContext

## Description

## Functions

### camel_gpg_context_new ()

    CamelCipherContext *
    camel_gpg_context_new (CamelSession *session);

Creates a new gpg cipher context object.

#### Parameters

session | session |

#### Returns

a new gpg cipher context object.

### camel_gpg_context_get_always_trust ()

    gboolean
    camel_gpg_context_get_always_trust (CamelGpgContext *context);

#### Parameters

context | a CamelGpgContext |

Since: 2.32

### camel_gpg_context_set_always_trust ()

    void
    camel_gpg_context_set_always_trust (CamelGpgContext *context,
                                        gboolean always_trust);

Sets the `always_trust` flag on the gpg context which is used for encryption.

#### Parameters

context | gpg context `always_trust` always truct flag |

### camel_gpg_context_get_prefer_inline ()

    gboolean
    camel_gpg_context_get_prefer_inline (CamelGpgContext *context);

#### Parameters

context | a CamelGpgContext |

#### Returns

Whether prefer inline sign/encrypt (`TRUE`), or as multiparts (`FALSE`)

Since: 3.20

### camel_gpg_context_set_prefer_inline ()

    void
    camel_gpg_context_set_prefer_inline (CamelGpgContext *context,
                                         gboolean prefer_inline);

Sets the `prefer_inline` flag on the gpg context.

#### Parameters

context | gpg context |
prefer_inline | whether prefer inline sign/encrypt |

Since: 3.20

## Types and Values

## Property Details

### The `“always-trust”` property

      “always-trust”             gboolean

Flags: Read / Write / Construct

Default value: FALSE

### The `“prefer-inline”` property

      “prefer-inline”            gboolean

Flags: Read / Write / Construct

Default value: FALSE